LFR-FSW - Bug #1005

HK_LFR_SC_V_F3,HK_LFR_SC_E1_F3,HK_LFR_SC_E2_F3 see a differentnoise signal
21/03/2017 09:56 AM - Veronique bouzid

Status: Closed Start date: 21/03/2017
Priority: High Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Pourquoi les valeurs observées sur les champs suivants ne montrent plus le bruit de fond qui oscillait autour de 500 counts dans la
version 3.2.0.3.
Le test a été fait sur EM1 sans les harnais.

Le LFR SGSE montrent des valeurs
v_f3 autour de -20000

el _f3 autour de -21500

e2_f3 autour de 31500

mes logs montrent sur la derniere HK en standby

HK LFR_SC V_F3=46096 -->en hexa B410 car on lit les 16 bits
HK_LFR_SC_E1_F3=43552, -->en hexa AA20
HK_LFR_SC_E2_F3=30992 --> enhexa 7910

Si oui mettre | explication.

Contexte du test

FSW 3.2.0.7

VHDL 1.1.91

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = default, Changeset =
c459540a6dbdcbb4e17f204685fce02c070ba971+

EM1 sans Timegen

StarDundee

History

#1 - 21/03/2017 10:23 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Pour comparer, il faudrait convertir tes données HK en int16, 13, tu es en uint16.
46096 => -19440

43552 => -21984

30992 => 30992

Pour ce qui es du bruit de fond, je ne sais pas pour l'instant.

#2 - 21/03/2017 10:44 AM - thomas chust

- Assignee changed from Veronique bouzid to paul leroy

En fait la question n'est pas le bruit de fond ce sont ces "offsets moyens" (méme sans signal d'entrée) énormes.

#3 - 21/03/2017 10:55 AM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Je n'avais pas compris la question.
Il faudrait consulter Alexis, avec des entrées ouvertes c'est pas forcément étonnant.

#4 - 21/03/2017 11:53 AM - paul leroy

09/04/2024 1/4




Est-ce cohérent avec les formes d'onde continues?

#5 - 21/03/2017 12:35 PM - Veronique bouzid

- Assignee changed from Veronique bouzid to bruno katra

Je re-assigne le probleme a Bruno avec Alexis en Watcher.

#6 - 21/03/2017 01:23 PM - bruno katra

Je répond a tous les échanges ci - dessous :

Est-ce cohérent avec les formes d'onde continues?

Non les formes d'ondes a F3 et les snapshots sont représentatifs du signal injecté. Pour ce qui est du bruit : les CWF montrent des valeurs autour de
400 pour E1 et E2 qui ne sont pas relié a une ANALOG DISCOVERY alors que les HK montrent des valeurs tres différentes :

Exemple en 3.2.0.6 avec un sinus de 5Hz sur V et rien sur E1/E2:
CWF@F3 :

V Ef E2

6322 426 376
21400 426 376
-21751 426 376
-3803 426 376
25611 426 376
-14845 426 376
-13288 426 374
25981 426 376
-5630 426 376
-20708 426 379

HK correspondants :
SCVF3|SCE1F3|SCE2F3
-6864 -22272 31296
-8064 -22224 31280
-5728 -22064 30704

Pour comparer, il faudrait convertir tes données HK en intlé, la, tu es en uintlé.

Les valeurs lues dans le SGSE sont bien converties en int16 et tournent bien autour de +/- 20000 avec aucun signal injecté.
#7 - 22/03/2017 10:28 AM - bruno katra

- File HK_SC_V_E1_E2-3.2.0.7.png added

- Status changed from New to In Progress

J'ai refait des tests en 3.2.0.7, les résultats sont identiques a ceux que j'ai donné hier en 3.2.0.6 :

J'injecte un Sinus a 5 Hz de -3/3V SUR V UNIQUEMENT :

Les valeurs du CWF @F3 sont cohérentes :

\Y% El E2
-12297 425 375
-10025 422 375
24997 425 375
-7839 422 375
-19709 424 375

On voit bien d'ailleurs le fameux noise dont parlait Véro sur E1/E2 : ces valeurs sont stables sur tout le CWF@F3

Les fichiers HK correspondants correspondants sont assez innatendues :
HK_SC_V_E1_E2-3.2.0.7.png

- Les valeurs pour V ne sont pas du tout raccord avec le signal injecté

- Les valeurs de E1 et E2 sont en opposition de phase I'un dans les positifs I'autre dans les negatifs. D'ailleurs les valeurs n'ont plus rien a voir avec
celles du noise vu sur le CWF @F3 (~425).

#8 - 22/03/2017 02:52 PM - bruno katra

- Assignee changed from bruno katra to paul leroy
#9 - 24/03/2017 11:45 AM - bruno katra
- File 3.2.0.7-CWFvsHK.png added

Afin de voir jusqu'ou va la rgression j'ai refait le test en 3.2.0.7 avec un sinus a 0.1Hz qui était un cas ou le moyannage était assez joli en 3.2.0.5. Il se
trouve que cela ne marche plus. Ci dessous, la superposition du CWF @F3 et des HK :

3.2.0.7-CWFvsHK.png
En espérant que cela donne une piste.

#10 - 24/03/2017 01:36 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

Je pense que ce que j'ai mis en place (n'accepter de continuer la moyenne que si les trois valeurs, v, e1 et e2 ont changé) a fait plus de mal que de
bien. Pour en étre convaincu, je voudrais savoir si si j'enléve ce test, le comportement redevient comme celui que Thomas a réussi a expliciter (effet
collatéral de la periode de 60ms de la tdche AVGV).

On peut refaire ton test avec la version 3.2.0.8 que je mets en ligne de suite?

#11 - 24/03/2017 03:21 PM - bruno katra
- File 3.2.0.8-cwf3.png added
- File 3.2.0.8-HK.png added

- Assignee changed from bruno katra to paul leroy

Bug toujours présent

Test rejoué en 3.2.0.8 en injectant 0.1Hz sur V et 5Hz sur E1 :
Les CWF F3 sont comme attendus :

3.2.0.8-cwf3.png

Les HK montrent des courbes abérrantes :

3.2.0.8-HK.png

#12 - 27/03/2017 09:44 AM - paul leroy

- Assignee changed from paul leroy to bruno katra

cf bug #982 en cours de résolution. Refaire des tests avec 3.2.0.9.

#13 - 27/03/2017 11:02 AM - bruno katra
- File 3.2.0.9-cf3.png added
- File 3.2.0.9-hk.png added

- Assignee changed from bruno katra to paul leroy

Tests rejoués en 3.2.0.9 : c'est mieux on retrouve une jolie moyenne sur le V a 0.1Hz, de méme la moyenne sur le bruit de E2 est cohérent avec le
CWF@F3. Le signal a 5Hz envoyé sur E1 quant a lui a une moyenne un peu étrange (Voir images ci-dessous):

Référence CWF @F3 :

3.2.0.9-cf3.png
Résultats HK correspondants :

3.2.0.9-hk.png

#14 - 27/03/2017 11:16 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

Pour le E1, I'analyse de Thomas a partir de la forme d'onde donnerait peut-étre une explication?

#15 - 27/03/2017 11:37 AM - bruno katra

- Assignee changed from thomas chust to paul leroy

On a regardé les données avecThomas :
https://hephaistos.lpp.polytechnique.fr/redmine/issues/982

la moyenne autour de 500 counts est réglée (plus d'oscillation) MAIS les pics a ~2000 counts font effectivement penser au bug d'avant (du a prendre
2 fois le méme échantillon).

Il'y a donc encore un pb sous-jacent car la vraie moyenne a 16 Hz ne montre pas de pics dans la simu. Or le fait de détecter les changements devrait
produire le méme comportement qu'une moyenne a 16Hz.

#16 - 27/03/2017 11:55 AM - bruno katra
- File 3.2.0.9-hk2.png added

Test rejoué avec 2 sinus synchro a 4.5Hz injecté sur V et E1 (bruit sur E2) :

3.2.0.9-hk2.png
Il s'avére que le bug est toujours identique au comportement de la 3.2.0.3 (le semblant d'amélioration évoqué sur E1 est en fait surement du au choix
de la frequence)

Suggestion de Thomas :

Il se pourrait qu'alors que la moyenne glissante ne s'effectue que lors d'un changement effectif des valeurs, les LIFO des 3 buffers de 16 échantillons
soient toujours alimentées avec les valeurs dupliquées ?

#17 - 27/03/2017 01:36 PM - paul leroy

- Assignee changed from paul leroy to thomas chust

Que donne la moyenne glissante sur CWF_F3? Je ne suis pas certain qu'on soit dans le méme cas que 3.2.0.3.

J'ai fait quelques tests préliminaires sur des données CWF_F3 et avec 4.5 Hz, le résultat des moyennes glissantes ressemble a ce que vous
obtenez. Bon, il faut avoir un peu d'imagination, mais la tendance est la (I'enveloppe des données semble correcte et on oscille). C'est pas évident de
comparer puisque la période des HK (1s) n'est pas synchrone de la période d'échantillonnage (pas le méme oscillateur), ni de la période de la tache
AVGV (60ms, méme oscillateur que les HK mais pas un nombre entier de périodes par seconde).

#18 - 27/03/2017 02:25 PM - paul leroy
- File cwf_f3_hk.png added
- File cwf_f3 filtered.png added

#19 - 27/03/2017 03:56 PM - bruno katra
- File 3.2.0.9-hk3.png added
- Status changed from In Progress to Closed

- Assignee changed from thomas chust to paul leroy

Mea Culpa : la figure de ce matin est fausse car j'avais laissé le générateur en auto-synchro entre les 2 canaux (0.1Hz sur V et 5Hz sur E1):
3.2.0.9-hk.png

Nous avons refait des tests avec Thomas avec une config de générateur propre : ci -dessous aussi 0.1Hz sur V et 5Hz sur E1
3.2.0.9-hk3.png

C'est bien le résultat attendu. Sauf un pic au début qui semble lié au changement de mode standby vers normal déja obervé par Véro (#955). Aussi
on a l'impression que la moyenne n'est pas faite en mode STANDBY (je rédige un nouveau redmine pour ¢a)

D'autres tests avec 1.5 Hz, 2.5Hz, 3.5Hz montrent aussi un comprtement attendu : on observe effectivement une oscillation en accord avec la FT
théorique (sinus cardinal).

Donc le pb ici est considéré comme clos

Files
